Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234355 - Review Request: klear - graphical TV viewer with an integrated recording system for Linux
Summary: Review Request: klear - graphical TV viewer with an integrated recording syst...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-28 17:56 UTC by Johan Cwiklinski
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-03 21:59:06 UTC
jochen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Johan Cwiklinski 2007-03-28 17:56:16 UTC
Spec URL: http://odysseus.x-tnd.be/fedora/klear/klear.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/klear/klear-0.6.0-0.1.src.rpm
Description: Klear is a graphical TV viewer with an integrated recording system
for Linux.
It's designed as a DVB desktop application with all common features.
A clear, nifty and feature rich DVB viewer and recorder
for your desktop machine.

Comment 1 Jochen Schmitt 2007-03-28 19:27:25 UTC
Good:
+ Rpmlint quite on source rpm.
+ Local build works fine.
+ Rpmlint is quite on binary rpm.
+ Rpmlint is quite on debuginfo rpm.
+ Local install and unistall works fine.
+ Naming semms ok.
+ Tar ball matches with upstream.

Bad:
- Build doesn't use $RPM_OPT_FLAGS
- QT Environment variable are not sourced.

Comment 2 Johan Cwiklinski 2007-03-28 22:04:26 UTC
Ok, modifications are applied, thank you.

New URLs are :
Spec URL: http://odysseus.x-tnd.be/fedora/klear/klear.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/klear/klear-0.6.0-1.src.rpm

Comment 3 Jochen Schmitt 2007-03-29 15:13:19 UTC
Good:
+ Source QT environment

Bad:
- Build doesn't use $RPM_OPT_FLAGS

Comment 4 Rex Dieter 2007-03-29 16:26:18 UTC
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
should be omitted, these are already included in /etc/profile.d/qt.sh

Comment 5 Jochen Schmitt 2007-05-10 17:03:54 UTC
Ping, Johan

Comment 6 Johan Cwiklinski 2007-05-13 17:53:19 UTC
Ok, I've corrected these points, added desktop-file install and %post/%postun
macros for the icons to be correctly applied after install.

New URLs are :
Spec URL: http://odysseus.x-tnd.be/fedora/klear/klear.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/klear/klear-0.6.0-2.src.rpm

Comment 7 Jochen Schmitt 2007-05-13 18:45:51 UTC
Good:
+ Local build works fine.
+ Mock build works fine.
+ Local install and uninstall works fine.

Bad:
- If I start the applicate, I will got a error message about a misssing
channels.conf.

Comment 8 Jochen Schmitt 2007-06-21 19:37:21 UTC
Ping Johan

Comment 9 Jochen Schmitt 2007-06-27 16:28:53 UTC
In comment #7 I have complaint the startup behavior of the application.

Unfortunately, I don't see any reply related on my complaint.



Comment 10 Johan Cwiklinski 2007-06-27 16:58:45 UTC
I'm sorry but I'm very busy these times :(

Anyone is free to provide a patch fixing the problem, anyways I'll look at this
as soon as I can.

Johan

Comment 11 Rex Dieter 2007-08-18 22:33:51 UTC
suggestion: startup error -> consult upstream?

Comment 12 Johan Cwiklinski 2007-09-02 14:51:47 UTC
There were a new upstream release in July. 
I've packaged these version (0.6.1) and it seems to run fine now (tested on f7
x86_64).

New URLs are : 
Spec URL: http://odysseus.x-tnd.be/fedora/klear/klear.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/klear/klear-0.6.1-1.fc7.src.rpm

Comment 13 Jochen Schmitt 2007-09-03 16:44:00 UTC
OK, the build works fine, and the error message, I will get when no channel.conf
exist is the same as in kubuntu.

So I will APPROVE your package.

Comment 14 Johan Cwiklinski 2007-09-03 17:13:09 UTC
New Package CVS Request
=======================
Package Name: klear
Short Description: DVB TV application and harddisk-recorder for linux
Owners: johan@x-tnd.be
Branches: F-7
InitialCC: johan@x-tnd.be
Cvsextras Commits: yes

Comment 15 Kevin Fenzi 2007-09-03 18:18:45 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.